Name:           maven-deploy-plugin
Version:        2.8.2
Release:        %mkrel 11
Group:          Development/Java
Summary:        Maven Deploy Plugin
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-deploy-plugin/
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

# Maven and its dependencies
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact:2.0.6)
BuildRequires:  mvn(org.apache.maven:maven-model:2.0.6)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.mockito:mockito-core)

%description
Uploads the project artifacts to the internal remote repository.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%pom_add_plugin :maven-plugin-plugin . "
        <configuration>
          <helpPackageName>org.apache.maven.plugin.deploy</helpPackageName>
        </configuration>"

%build

%mvn_file :%{name} %{name}
# A test class doesn't compile
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE 

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed May 22 2024 ns80 <ns80> 2.8.2-11.mga10
+ Revision: 2066051
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 2.8.2-10.mga9
+ Revision: 1827313
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.8.2-9.mga8
+ Revision: 1491739
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.8.2-8.mga7
+ Revision: 1264040
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 2.8.2-7.mga6
+ Revision: 1101406
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.8.2-5.mga6
+ Revision: 977306
- First rebuild of the java stack
- sync package maven-deploy-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 2.8.2-4.mga5
+ Revision: 809698
- Cleanup some manual dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.8.2-3.mga5
+ Revision: 739258
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 2.8.2-1.mga5
+ Revision: 671512
- 2.8.2

* Sun Dec 15 2013 dmorgan <dmorgan> 2.8.1-1.mga4
+ Revision: 557015
- New version
- Build with xmvn
- Rebuild against new javapackages
- Remove doxia dependencies
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 2.8-0.20130218.1.mga3
+ Revision: 399213
- New snapshot
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 dmorgan <dmorgan> 2.7-1.mga2
+ Revision: 187645
- Update to 2.7 + Guideline fixes

* Wed Jul 20 2011 dmorgan <dmorgan> 2.6-1.mga2
+ Revision: 126989
- New version 2.6

* Thu Apr 28 2011 dmorgan <dmorgan> 2.5-7.mga1
+ Revision: 92695
- Rebuild after bootstrapping
- imported package maven-deploy-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Weinan Li <weli@redhat.com> - 0:2.5-5
- skip test during building

* Wed Jun 2 2010 Weinan Li <weli@redhat.com> - 0:2.5-4
- remove the Epoch section

* Wed Jun 2 2010 Weinan Li <weli@redhat.com> - 0:2.5-3
- Fix URL
- Add Epoch

* Wed Jun 2 2010 Weinan Li <weli@redhat.com> - 2.5-2
- depmap removed
- Use new BRs for some already updated maven components
- obsolete/provide maven2-plugin-deploy
- Remove the empty line between changelog and the changelog entry

* Mon May 31 2010 Weinan Li <weli@redhat.com> - 2.5-1
- Initial Package
